Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate Class Reference

Parser for ContentTypeCreate. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate:

## Public Member Functions
| __construct (ContentTypeService $contentTypeService, FieldDefinitionCreate $fieldDefinitionCreateParser, ParserTools $parserTools)
| Construct. More...
| parse (array $data, ParsingDispatcher $parsingDispatcher)
| Parse input structure. More...
Public Member Functions inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| setRequestParser (RequestParser $requestParser)

## Protected Attributes
| $contentTypeService
| $fieldDefinitionCreateParser
| $parserTools
Protected Attributes inherited from eZ\Publish\Core\REST\Common\Input\BaseParser
| $requestParser

## Detailed Description

Parser for ContentTypeCreate.

Definition at line 19 of file ContentTypeCreate.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate::__construct | ( | ContentTypeService | $contentTypeService,
|  | FieldDefinitionCreate | $fieldDefinitionCreateParser,
|  | ParserTools | $parserTools
| ) |  |

Construct.

Parameters

  \eZ\Publish\API\Repository\ContentTypeService | $contentTypeService |
  \eZ\Publish\Core\REST\Server\Input\Parser\FieldDefinitionCreate | $fieldDefinitionCreateParser |
  \eZ\Publish\Core\REST\Common\Input\ParserTools | $parserTools |

Definition at line 49 of file ContentTypeCreate.php.

References eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate\$contentTypeService, eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate\$fieldDefinitionCreateParser, and eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate\$parserTools.

## Member Function Documentation

## ◆ parse()

eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate::parse | ( | array | $data,
|  | ParsingDispatcher | $parsingDispatcher
| ) |  |

Parse input structure.

Parameters

  array | $data |
  \eZ\Publish\Core\REST\Common\Input\ParsingDispatcher | $parsingDispatcher |

Returns
  \eZ\Publish\API\Repository\Values\ContentType\ContentTypeCreateStruct

Definition at line 67 of file ContentTypeCreate.php.

## Member Data Documentation

## ◆ $contentTypeService

eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate::$contentTypeService
| protected

Definition at line 26 of file ContentTypeCreate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate\__construct().

## ◆ $fieldDefinitionCreateParser

eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate::$fieldDefinitionCreateParser
| protected

Definition at line 33 of file ContentTypeCreate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate\__construct().

## ◆ $parserTools

eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate::$parserTools
| protected

Definition at line 40 of file ContentTypeCreate.php.

Referenced by eZ\Publish\Core\REST\Server\Input\Parser\ContentTypeCreate\__construct().

The documentation for this class was generated from the following file:

- ContentTypeCreate.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.